Subject: Re: [JAVA3D] Clipping of an object.
From: John Wright <[email-masked]>
To: [email-masked]
Date: Mon, 5 Feb 2001 10:26:41 -0600

Zak, that is correct.  If your video card is providing a 16 bit Z-Buffer
then you must keep the ratio between front and back clipping to a
reasonable ratio (3000 to 1 or less), for our application we decided we
had to just live with some corruption in the distance in order to set
the front clipping distance down low enough to eliminate most "see
through" problems and yet keep the back clip distance reasonably far
away.

- John Wright
Starfire Research

Zak wrote:
>
> Thank you for the response,
>
> I want to be able to go pretty close to the object, yet not to go through it
> at all. I have set the front clip distance to be very close, but if I set it
> too close it seems to mess up the other objects in the scene.
>
> Zak
>
> ----- Original Message -----
> From: "John Wright" <[email-masked]>
> To: <[email-masked]>
> Sent: Monday, February 05, 2001 9:03 AM
> Subject: Re: [JAVA3D] Clipping of an object.
>
> > Zak,
> >
> > Do you want to *stop* before you go through the object? (collision
> > detection) Or do you want to reduce the front clipping (so you don't see
> > through the object while you are still in front of it)?
> >
> > - John Wright
> > Starfire Research
> >
> > > Zak wrote:
> > >
> > > I am trying to zoom in on an object yet whenever I get to close, i
> > > actually go through the object. Is there anyway that I can stop the
> > > zoom or something to stop form me going through the object.
> > >
> > > thanks
> > >
> > > Zak
> >
> >
> ===========================================================================
> > To unsubscribe, send email to [email-masked] and include in the
> body
> > of the message "signoff JAVA3D-INTEREST".  For general help, send email to
> > [email-masked] and include in the body of the message "help".
> >
>
> ===========================================================================
> To unsubscribe, send email to [email-masked] and include in the body
> of the message "signoff JAVA3D-INTEREST".  For general help, send email to
> [email-masked] and include in the body of the message "help".

===========================================================================
To unsubscribe, send email to [email-masked] and include in the body
of the message "signoff JAVA3D-INTEREST".  For general help, send email to
[email-masked] and include in the body of the message "help".